AOZ Studio Beta - Bug #759

Screen Clone isn't working. (It used to.)
05/27/2021 10:34 AM - Brian Flanagan

Status: Resolved Start date: 05/27/2021
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B8)

Description

After Screen Clone S is run, an attempt to use Screen Display on screen S fails.
For example:

#displayWidth: 320
#displayHeight: 200

Screen Open 0,320,200,4,Lowres
Flash Off
Screen Display 0,,70,,
For S=1 To 7
Screen Clone S
Screen Display S,,S*48+70,,

Next S
Print "Start typing> ";
Do
AS=Inkey$
If AS<>"" Then Print AS;
Loop
Result is:

Screen not opened at line: 9, column: 5 in file main.aoz.
(Also the column number in the error message is incorrect.

The screen number in issue is at column 17 on line 9.)

History

#1 - 07/15/2021 04:40 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!
